Create a new personal access token
curl --request POST \
--url https://api.comfy.org/publishers/{publisherId}/tokens \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"token": "<string>"
}
'import requests
url = "https://api.comfy.org/publishers/{publisherId}/tokens"
payload = {
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"token": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
createdAt: '2023-11-07T05:31:56Z',
description: '<string>',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
token: '<string>'
})
};
fetch('https://api.comfy.org/publishers/{publisherId}/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Registry
Create a new personal access token
POST
/
publishers
/
{publisherId}
/
tokens
Create a new personal access token
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
[Output Only]The date and time the token was created.
Optional. A more detailed description of the token's intended use.
Unique identifier for the GitCommit
Required. The name of the token. Can be a simple description.
[Output Only]. The personal access token. Only returned during creation.
Response
Token created successfully
The newly created personal access token.
Was this page helpful?
Retrieve permissions the user has for a given publisher
Previous
Delete a specific personal access token
Next
⌘I